<bugID>1012873<Summary>Cache negative responses for sourcemaps on the client</Summary><Description>Often while debugging, I see Firefox hammering servers requesting missing .map files if the developer tools are open.

For example, today I was looking at mapquest.com mobile site. It includes http://content.mqcdn.com/mobileweb-advanced-804/media/js/mqm-site.js which contains //@ sourceMappingURL=jquery.min.map - and I've logged 490 requests for http://content.mqcdn.com/mobileweb-advanced-804/media/js/jquery.min.map . (Response is mostly 404, sometimes 504 gateway timeout error). 

Firefox fires off something like 30 requests at a time. The implementation should be reviewed to see why there are so many simultaneous requests, and we should cache negative responses for some period of time. Bonus points if the cache can be annotated with a hash of the file referencing it or something, so that if the file's content changes the cache is invalidated..</Description></bugID>